Tag Value Creation API
Tags APIs
Tag Value Creation API
Add a selectable value to an existing dropdown tag
Tag Value Creation API
Authentication
All requests require an API key in the request headers. Headers:Request
Content-Type:application/json
This endpoint adds a value to an existing dropdown tag. Use the tag’s slug (from the Tag List API or Tag Creation API) as the tagId path parameter.
Path Parameters
Body Parameters
Code Examples
Success Response
HTTP Status:200 OK
Response Fields:
Response Example
Error Responses
Tag Is Not a Dropdown
Returned when the target tag is not a dropdown tag (values can only be added to dropdown tags). HTTP Status:400 Bad Request
Tag Value Already Exists
HTTP Status:400 Bad Request
Tag Not Found
HTTP Status:404 Not Found
Tag Creation Not Allowed
Returned when adding values to this tag is not permitted because an accounting integration is connected and manages this tag. HTTP Status:403 Forbidden
Validation Error
Returned when the requiredvalue field is missing.
HTTP Status: 400 Bad Request
Tag Value Creation Failed
In the rare case the value could not be persisted, the response is returned with an HTTP200 OK status, ok: false, and created: false.
HTTP Status: 200 OK
Access Denied
HTTP Status:403 Forbidden
Authentication Errors
HTTP Status:401 Unauthorized
Permission Errors
HTTP Status:403 Forbidden
Best Practices
- Values can only be added to
DROPDOWNtags — create the tag with the Tag Creation API usingdataType: "DROPDOWN"first - Always check the
createdflag in addition to the HTTP status; a failure is returned withok: falseandcreated: falseunder a200 OKstatus - Use the returned
tagValue.idto filter transactions (for example, in the Invoice List API) by this tag value - Access is limited to users with tag create permission and an admin or bookkeeper role